#ifndef GAME_H
#define GAME_H

#include "client/input/Controller.h"
#include "common/block/BlockRegistry.h"
#include "common/entities/Player.h"
#include "common/world/World.h"

namespace Game {
    extern BlockRegistry blockRegistry;
    extern World world;
    extern Controller controller;
    extern Player player;

    bool init();

    void tick();
    void renderWorld();
    void renderOverlay();
}

#endif