#ifndef FRAMEBUFFERS_H
#define FRAMEBUFFERS_H

#include "rendering/Framebuffer.h"
#include "utils/Size.h"

struct Framebuffers final {
    void resize(const Size& size);
    Error init(const Size& size);

    Framebuffer<5> world;
    Framebuffer<1> ssao;
    Framebuffer<1> ssaoBlur;
    Framebuffer<1> shadow;
};

#endif