#ifndef BLOCKMAP_H
#define BLOCKMAP_H

#include "common/block/BlockTypes.h"
#include "utils/BitArray.h"
#include "utils/List.h"

class BlockMap {
    BitArray blocks;
    List<BlockId> map;

public:
    BlockMap(int length, BlockId id);

    BlockId get(int index) const;
    void set(int index, BlockId id);
};

#endif