#ifndef COMMANDS_H
#define COMMANDS_H

#include "utils/SplitString.h"

namespace Commands {
    typedef StringBuffer<32> Name;
    typedef StringBuffer<256> Raw;
    typedef SplitString<256> Arguments;

    typedef void (*Command)(const Arguments&);

    void init();
    void add(const Name& name, Command command);
    void execute(const Raw& raw);
}

#endif