#ifndef SERVER_PLAYER_H
#define SERVER_PLAYER_H

#include "common/entities/Player.h"
#include "network/Server.h"

class ServerPlayer : public Player {
    Server::Client& client;

public:
    ServerPlayer(Server::Client& client);

    void onChat(InPacket& in);
    void sendChunk();
    void send(OutPacket& out);
};

#endif