#ifndef SNUVI_H
#define SNUVI_H

#include "utils/Functions.h"
#include "utils/StringBuffer.h"

namespace Snuvi {
    enum Event { NONE, COMMAND };

    void init();

    void initFunction(const char* name, DataType returnType, ScriptFunction sf);
    void addArgument(DataType type);
    void addFunction();

    int start(const char* path);
    void termAll();
    void callEvent(Event event);

    Pointer toString(Script* sc, const char* s);
}

#endif