#ifndef START_GUI_H
#define START_GUI_H

#include "client/gui/BaseGUI.h"

class StartGUI final {
    BaseGUI base;
    BaseGUI::Label& info;
    BaseGUI::Input& address;
    BaseGUI::Button& connect;

public:
    StartGUI();

    void tick();
    void render();

    typedef StringBuffer<64> Address;
    bool getAddress(Address& a) const;
};

#endif