#ifndef CONTROLLER_H
#define CONTROLLER_H

#include "input/Button.h"
#include "math/Vector.h"

struct Controller {
    Button left;
    Button right;
    Button up;
    Button down;
    Button jump;
    Button sneak;
    Button camLeft;
    Button camRight;
    Button camUp;
    Button camDown;

    Button leftClick;
    Button rightClick;

    Controller();
    void init();

    Vector2 getMouse() const;
    Vector2 getMouseChange() const;
};

#endif