#ifndef MESH_H
#define MESH_H

#include "client/rendering/Triangle.h"
#include "rendering/VertexBuffer.h"
#include "utils/TypedBuffer.h"

class Mesh final {
    VertexBuffer vertexBuffer;
    int vertices;

public:
    Mesh();
    bool init();

    void build(const TypedBuffer<Triangle>& buffer);
    void draw();
};

#endif